\version "2.21.0"

\include "include-once.ily"
\includeOnce "hauptstimme.ily"


choralStart = \markup {
  \hspace #-3.0
  \path #0.25 #'((moveto 1.2 0.4)
		 (curveto 1.2 0.4 1.1 0.1 0.6 0.0)
		 (curveto 0.6 0.0 0.1 0.1 0 0.4)
		 (lineto 0 1.4)
		 (curveto 0.0 1.4 0.1 1.9 0.6 2.0)
		 (curveto 0.6 2.0 1.1 1.9 1.2 1.6)
		 (moveto 1.6 2)
                 (lineto 1.6 0)
                 (moveto 1.6 1)
                 (lineto 2.6 1)
                 (moveto 2.6 2)
                 (lineto 2.6 0)
                 (moveto 2.6 2)
                 (lineto 3.5 2))
}

choralNebenStart = \markup {
  \hspace #-3.4
  \path #0.25 #'((moveto 1.2 0.4)
		 (curveto 1.2 0.4 1.1 0.1 0.6 0.0)
		 (curveto 0.6 0.0 0.1 0.1 0 0.4)
		 (lineto 0 1.4)
		 (curveto 0.0 1.4 0.1 1.9 0.6 2.0)
		 (curveto 0.6 2.0 1.1 1.9 1.2 1.6)
                 (moveto 1.6 0)
                 (lineto 1.6 2)
                 (lineto 2.6 0)
                 (lineto 2.6 2)
                 (lineto 3.4 2))
}

CH = \stimmeStart \choralStart \default
CN = \stimmeStart \choralNebenStart \default

PCH = \markup\upright\concat{( \hspace #3.0 \choralStart )}
PCN = \markup\upright\concat{( \hspace #3.0 \choralNebenStart )}
PCHO = \markup\upright\concat{( \hspace #3.0 \choralStart}
PCNO = \markup\upright\concat{( \hspace #3.0 \choralNebenStart}



%{
hauptStimmeExplain = \markup{
\columns{
\abs-fontsize #12
\left-column{
    \wordwrap{
        \abs-fontsize #12 \hspace #2.5 \hauptStart \hspace #4.0 \stimmeEnd bedeutet Hauptstimme
    }
    \wordwrap{
        \abs-fontsize #12 \hspace #2.5 \nebenStart \hspace #4.0 \stimmeEnd bedeutet Nebenstimme
    }
    \wordwrap {
        \abs-fontsize #12 \hspace #1.5 \hauptRhythmus \hspace #2.7 \stimmeEnd bedeutet Hauptrhythmus.
        Alles andere hat begleitend zurückzutreten.
    }
    \wordwrap {
        \abs-fontsize #12 \hspace #4.5 \choralStart \hspace #2.2 \stimmeEnd bedeutet Choralmelodie, im letzten Satz.
    }
}
% \hspace #2.0
\abs-fontsize #12
\left-column{
    \wordwrap {
        \abs-fontsize #12 \hspace #1.5 \klammerStart \hspace #5.0 \stimmeEnd bedeutet, daß die so
        bezeichnete Stimme im gleichen Rhythmus (akkordtonbildend) mit einer
        Haupt-(\hspace #2.1 \hauptStart\hspace #-0.5) bzw.  Neben-(\hspace #2.1 \nebenStart\hspace #-0.5)stimme
        geht, diese aber durchzulassen hat.
    }
}
}
}
%}

#(define global-font-size (if (defined? 'global-font-size) global-font-size 12))

%{
hauptStimmeExplain = \markup{
\abs-fontsize #global-font-size
\left-column{
    \wordwrap{
        \hspace #1.5 \hauptStart \hspace #2.5 \stimmeEnd bedeutet Hauptstimme
    }
    \wordwrap{
        \hspace #1.5 \nebenStart \hspace #2.5 \stimmeEnd bedeutet Nebenstimme
    }
    \wordwrap {
        \hspace #1.5 \klammerStart \hspace #3.5 \stimmeEnd bedeutet, daß die so
        bezeichnete Stimme im gleichen Rhythmus (akkordtonbildend) mit einer
        \concat{Haupt-( \hspace #1.0 \scale #'(0.8 . 0.8) \hauptStart \hspace #-0.0 )} bzw.
        \concat{Neben-( \hspace #1.0 \scale #'(0.8 . 0.8) \nebenStart \hspace #-0.0 )stimme}
        geht, diese aber durchzulassen hat.
    }
    \wordwrap {
        \hspace #1.5 \hauptRhythmus \hspace #1.2 \stimmeEnd bedeutet Hauptrhythmus.
        Alles andere hat begleitend zurückzutreten.
    }
    \wordwrap {
        \hspace #4.5 \choralStart \hspace #0.7
            \stimmeEnd bedeutet Choralmelodie (“Es ist genug! so nimm, Herr,
            meinen Geist” aus der Kantate BWV 60 “O Ewigkeit, du Donnerwort”
            von J.S. Bach)
    }
}
}
%}

\includeOnce "berg-conc-vln-title.ily"

#(define hs-scale-factor (* 1.0 global-font-factor))
#(define hs-scale (cons hs-scale-factor hs-scale-factor))
#(define HSX-line-width (* 100 hs-scale-factor))
#(define HSX-baseline-skip (* 3.0 hs-scale-factor hs-scale-factor))

hauptStimmeExplain = \markuplist{
\abs-fontsize #global-font-size
\override #'(padding . 2.0)
\override #`(baseline-skip . (unquote HSX-baseline-skip))
\override #`(line-width . (unquote HSX-line-width))
\table #'(-1 -1) {
    \line\scale #(cons global-font-factor global-font-factor) {\hspace #1.5 \hauptStart \hspace #2.5 \stimmeEnd}
    \wordwrap{
        bedeutet Hauptstimme
    }
    \line\scale #(cons global-font-factor global-font-factor) {\hspace #1.5 \nebenStart \hspace #2.5 \stimmeEnd}
    \wordwrap{
        bedeutet Nebenstimme
    }
    \line\scale #(cons global-font-factor global-font-factor) {\hspace #1.5 \klammerStart \hspace #3.5 \stimmeEnd}
    \wordwrap{
        bedeutet, daß die so
        bezeichnete Stimme im gleichen Rhythmus (akkordtonbildend) mit einer
        \concat{Haupt-( \scale #hs-scale \hauptStart )} bzw.
        \concat{Neben-( \scale #hs-scale \nebenStart )stimme}
        geht, diese aber durchzulassen hat.
    }
    \line\scale #(cons global-font-factor global-font-factor) {\vspace #1.5 \hspace #0.7 \hauptRhythmus \hspace #1.2 \stimmeEnd}
    \wordwrap {
        bedeutet Hauptrhythmus.
        Alles andere hat begleitend zurückzutreten.
    }
    \line\scale #(cons global-font-factor global-font-factor) {\hspace #4.25 \choralStart \hspace #0.8 \stimmeEnd}
    \wordwrap {
        bedeutet Choralmelodie (“Es ist genug! so nimm, Herr, meinen Geist”
        aus der Kantate BWV 60 \concat{“O\nbsp Ewigkeit,} du Donnerwort” von J.S. Bach)
    }
}
}

