\version "2.21.0"

transpInstr = c     % default set to c in -common.ily
transpTuba = c

\include "include-once.ily"
\includeOnce "berg-conc-vln-1.ily"
\includeOnce "berg-conc-vln-2.ily"

% \includeOnce "berg-conc-vln-title.ily"
\includeOnce "berg-conc-vln-paged-title.ily"


\header {
    instrument = "(Kontra-)Baß-Tuba"
}

\paper {
    page-count = #7    % finalize
    ragged-last-bottom = ##f
}



breaksI = <<
\mvtItimeline
{
    % \time 4/4
    s1*10 |
    \barNumberCheck # 11
    % \time 2/4
    s2*91 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*57 |
    \barNumberCheck # 161
    % \pageTurn
    \newSpacingSection
    % \stretchHorizontalSpacing #0.25
    s2.*2 |
    \barNumberCheck # 163
    \pageTurn
    s2.*13 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    \newSpacingSection
    \stretchHorizontalSpacing #0.0
    s4.*16 |
    \barNumberCheck # 192
    \noBreak
    s4.*9 |
    \barNumberCheck # 201
    \noBreak
    s4.*8 |
    \barNumberCheck # 209
    \noBreak
    s4.*36 |
    \barNumberCheck # 245
    \noBreak
    s4.*13 |
    \barNumberCheck # 258
    \noPageBreak
}
>>


cuesI = <<
\mvtItimeline
\relative c'' {
    \transposition \transpInstr
    % \time 4/4
    \temporary \override MultiMeasureRest.staff-position = #10
    <>-\offset X-offset #-1.5 ^\markup\column{"Harfe," "Klar."}
    \cueDuring mvtIhpQ #DOWN { \ottava 1 s1 | }
    #(ly:expect-warning "unterminated tie")
    <>-\offset X-offset #-1.5 ^\markup{Solo-Vln.}
    \cueDuring mvtIvlnSolo #DOWN { s1 <>) | }
    #(ly:expect-warning "already have slur")
    <>-\offset X-offset #-1.5 ^\markup\column{"Harfe," "Klar."}
    \cueDuring mvtIhpQ #DOWN { s1 <>\! | \ottava 0 }
    \barNumberCheck # 4
    \revert MultiMeasureRest.staff-position
    s1*7 |
    \barNumberCheck # 11
    % \time 2/4
    \at 8 -\offset X-offset #-1.5 ^\markup{1.Fagott}
    \cueDuring mvtIfgII #UP { s2*7 | }
    \barNumberCheck # 18
    s2*17 |
    \barNumberCheck # 35
    \at 8 -\offset X-offset #-1.5 ^\markup{2.Fagott}
    \cueDuring mvtIfgII #UP { s2*3 | }
    \barNumberCheck # 38
    s2*3 |
    \barNumberCheck # 41
    \at 8 -\offset X-offset #-1.5 ^\markup{1.Oboe}
    \cueDuring mvtIobI #UP { \ottava 1 s2*5 | \ottava 0 }
    \barNumberCheck # 46
    s2*8 |
    \barNumberCheck # 54
    \at 8 -\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #UP { \ottava 1 s2*6 | s4. \ottava 0 } s8 |
    \barNumberCheck # 61
    s2*41 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #UP { \ottava 1 s2.*2 | s8 \ottava 0 s8 s2 | }
    \barNumberCheck # 107
    s2.*19 |
    \barNumberCheck # 126
    \at 8 -\offset X-offset #-1.5 ^\markup{1.Flöte}
    \cueDuring mvtIflI #DOWN { s8 \ottava 2 s4 s4. | s2. | }
    \cueDuring mvtIflI #UP { s2.*2 | s4. s8 \ottava 0 s4 | }
    \barNumberCheck # 131
    s2.*6 |
    \barNumberCheck # 137
    #(ly:expect-warning "cannot end slur")
    <>-\offset X-offset #-1.5 ^\markup\normalsize{1.2.Fagott}
    \temporary \override MultiMeasureRest.staff-position = #6
    \at 2.*3 \temporary \override MultiMeasureRest.staff-position = #-6
    <<
        \new Voice { \voiceOne \teeny \quoteDuring mvtIfgI { s2.*2 | \voiceTwo s2. | \voiceOne s2. | } }
        \new Voice { \voiceTwo \teeny \quoteDuring mvtIfgII { s2.*2 | } }
    >>
    \barNumberCheck # 141
    \revert MultiMeasureRest.staff-position
    \revert MultiMeasureRest.staff-position
    s2.*14 |
    \barNumberCheck # 155
    <>-\offset X-offset #-1.5 ^\markup{1.Flöte}
    \cueDuring mvtIflI #UP { \ottava 1 s2.*5 | s4. s4 \ottava 0 s8 | }
    \barNumberCheck # 161
    s2. |
    \barNumberCheck # 162
    \at 2 -\offset X-offset #-1.5 ^\markup{Sax.}
    \cueDuring mvtIasax #UP { s2 \ottava 1 s4 | s2.*3 | \ottava 0 }
    \barNumberCheck # 166
    s2.*9 |
    \barNumberCheck # 175
    \at 4. -\offset X-offset #-1.5 ^\markup{1.Flöte}
    \cueDuring mvtIflI #UP {
        s2 \ottava 1 s4 |
        \barNumberCheck # 176
        % \bar "||"
        % \time 3/8
        s4.*11 \ottava 0 |
    }
    \barNumberCheck # 187
    s4.*39 |
    \barNumberCheck # 226
    <>-\offset X-offset #-1.5 ^\markup{1.Trompete}
    \cueDuring mvtItrpI #UP { \ottava 2 s4.*3 | \ottava 0 }
    \barNumberCheck # 229
    s4.*18 |
    \barNumberCheck # 247
    \at 16 -\offset X-offset #-1.5 ^\markup{1.Trompete}
    \cueDuring mvtItrpI #DOWN { \ottava 2 s4.*3 | \ottava 0 }
    \barNumberCheck # 250
    s4.*8 |
    \barNumberCheck # 258
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtItuba ) <<
        \new Dynamics \breaksI

        \new MarkLine \mvtItempi

        \new Staff = mvtItuba \with {
        } \context Bottom <<
            \transpose c, \transpInstr \mvtItuba
            \cuesI
        >>

        \new Dynamics = mvtIfootnotes \mvtIfootnotes
    >>

    \header {
        piece = \mvtIpiece
    }
}


breaksII = <<
\mvtIItimeline
{
    \barNumberCheck # 1
    % \time 3/4
    s2.*54 |
    \barNumberCheck # 55
    \pageTurn
    s2.*8 |
    \barNumberCheck # 63
    % \time 4/4
    s1*15 |
    \barNumberCheck # 78
    % \time 3/4
    s2.*18 |
    \barNumberCheck # 96
    s2.*40 |
    \barNumberCheck # 136
    % \time 4/4
    s1*22 |
    \barNumberCheck # 158
    s1*43 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 214
    % \time 4/4
    s1*17 |
    \barNumberCheck # 231
}
>>


cuesII = <<
\mvtIItimeline
\relative c' {
    \transposition \transpInstr
    % \time 3/4
    s2.*22 |
    \barNumberCheck # 23
    <>-\offset X-offset #-1.5 ^\markup"1.Horn"
    \cueDuring mvtIIhrnI #UP { s2.*4 | }
    \barNumberCheck # 27
    s2.*12 |
    \barNumberCheck # 39
    \at 16 -\offset X-offset #-1.5 ^\markup\column{"Bklr.,Fag." "(Sax.,Klar.)"}
    \cueDuring mvtIIfgI #UP { \ottava 1 s2.*4 | s8 \ottava 0 s8 s2 | }
    \barNumberCheck # 44
    s2.*9 |
    \barNumberCheck # 53
    \at 8 -\offset X-offset #-1.5 ^\markup"Sax."
    \cueDuring mvtIIasax #UP { s8 \ottava 1 s8 s2 | s8 \ottava 0 s8 s2 | }
    \barNumberCheck # 55
    s2.*8 |
    \barNumberCheck # 63
    % \time 4/4
    s1 |
    \barNumberCheck # 64
    \temporary \override MultiMeasureRest.staff-position = #4
    \at 4.. -\offset X-offset #-1.5 ^\markup\line{Violoncello (get.)}
    \cueDuring mvtIIvc #DOWN { s1*3 | }
    \barNumberCheck # 67
    \revert MultiMeasureRest.staff-position
    s1*6 |
    \barNumberCheck # 73
    \at 16 -\offset X-offset #-1.5 ^\markup{Bratsche}
    \cueDuring mvtIIvla #UP { s1*5 <>\! | }
    \barNumberCheck # 78
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 91
    #(ly:expect-warning-times 2 "unterminated tie")
    <>-\offset X-offset #-1.5 ^\markup\line{1.Klarinette}
    \cueDuring mvtIIclrI #UP { \ottava 1 s2.*5 <>\! | \ottava 0 } |
    \barNumberCheck # 96
    \at 8 ^\markup\halign #0.0 \column{"Bklr.," "Fg."}
    \cueDuring mvtIIfgI #UP { s2 } r4 |
    \barNumberCheck # 97
    s2.*39 |
    \barNumberCheck # 136
    % \time 4/4
    s1*22 |
    \barNumberCheck # 158
    \at 4 -\offset X-offset #-1.5 ^\markup"1.Horn"
    \cueDuring mvtIIhrnI #UP { s4 \ottava 1 s2. | s1*5 | \ottava 0 }
    \barNumberCheck # 164
    s1*8 |
    \barNumberCheck # 172
    \at 4 -\offset X-offset #-1.5 ^\markup"1.Posaune"
    \cueDuring mvtIItromI #UP { s1*6 | }
    \barNumberCheck # 178
    s1*23 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 214
    % \time 4/4
    s1*5 |
    \barNumberCheck # 219
    \at 2. -\offset X-offset #-1.5 ^\markup"1.Horn"
    \cueDuring mvtIIhrnI #UP { s2. \ottava 1 s4 | s1*2 | s2.. \ottava 0 s8 | }
    \barNumberCheck # 223
    s1*8 |
    \barNumberCheck # 231
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIItuba ) <<
        \new Dynamics \breaksII

        \new MarkLine \mvtIItempi

        \new Staff = mvtIItuba \with {
        } \context Bottom <<
            \transpose c, \transpInstr \mvtIItuba
            \cuesII
        >>

        \new Dynamics = mvtIIfootnotes \mvtIIfootnotes
    >>

    \header {
        piece = \mvtIIpiece
        % breakbefore = ##t
    }
}
