\version "2.21.0"

% transposeOttavino = c''

\include "include-once.ily"
\includeOnce "berg-conc-vln-1.ily"
\includeOnce "berg-conc-vln-2.ily"

% \includeOnce "berg-conc-vln-title.ily"
\includeOnce "berg-conc-vln-paged-title.ily"

\header {
    instrument = "II. Violine"
}

\paper {
    page-count = #10    % finalize
    % ragged-last-bottom = ##f
}


breaksI = <<
\mvtItimeline
{
    % \time 4/4
    % \autoPageBreaksOff
    s1*10 |
    \barNumberCheck # 11
    % \time 2/4
    s2*42 |
    \barNumberCheck # 53
    % \pageBreak
    s2*49 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*22 |
    \barNumberCheck # 126
    % \pageTurn
    s2.*9 |
    \barNumberCheck # 135
    \pageTurn
    % \autoPageBreaksOn
    s2.*13 |
    \barNumberCheck # 148
    \break
    s2.*11 |
    \barNumberCheck # 159
    \break
    s2.*13 |
    \barNumberCheck # 172
    \noBreak
    s2.*4 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*10 |
    \barNumberCheck # 186
    % \pageTurn
    s4.*18 |
    \barNumberCheck # 204
    \break
    s4.*54 |
    \barNumberCheck # 258
}
>>


cuesI = <<
\mvtItimeline
\relative c'' {
    \transposition c
    % \time 4/4
    <>-\offset X-offset #-1.5 ^\markup{Harfe, Klar.}
    \cueDuring mvtIhpQ #DOWN { s1 | }
    #(ly:expect-warning "unterminated tie")
    \temporary \override MultiMeasureRest.staff-position = #4
    <>-\offset X-offset #-1.5 ^\markup{Solo-Vln.}
    \cueDuring mvtIvlnSolo #DOWN { s1 <>) | }
    \revert MultiMeasureRest.staff-position
    #(ly:expect-warning "already have slur")
    <>-\offset X-offset #-1.5 ^\markup{Harfe, Klar.}
    \cueDuring mvtIhpQ #DOWN { s1 | }
    \barNumberCheck # 4
    s1*7 |
    \barNumberCheck # 11
    % \time 2/4
    s2*13 |
    \barNumberCheck # 24
    \at 8 -\offset X-offset #-1.5 ^\markup{Sax.}
    \cueDuring mvtIasax #DOWN { s2*4 | }
    \barNumberCheck # 28
    s2*13 |
    \barNumberCheck # 41
    \at 8*2/3 -\offset X-offset #-1.5 ^\markup{I.Violine}
    \cueDuring mvtIvlnI #DOWN { s2*2 | }
    \barNumberCheck # 43
    s2*44 |
    \barNumberCheck # 87
    \at 4. -\offset X-offset #-1.5 ^\markup\right-align\line{I.Violine (get.)}
    \cueDuring mvtIvlnI #UP { s2*3 | s4 } s4 |
    \barNumberCheck # 91
    s2*11 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*22 |
    \barNumberCheck # 126
    #(ly:expect-warning "unterminated slur")
    <>-\offset X-offset #-1.5 ^\markup{Violoncello}
    \cueDuring mvtIvc #UP { \ottava #-2 s2.*3 | \ottava #0 }
    \barNumberCheck # 129
    s2.*26 |
    \barNumberCheck # 155
    \temporary \override MultiMeasureRest.staff-position = #4
    <>-\offset X-offset #-1.5 ^\markup{Violoncello}
    \cueDuring mvtIvc #DOWN { \ottava #-1 s2.*3 | \ottava #0 }
    \barNumberCheck # 158
    \revert MultiMeasureRest.staff-position
    s2.*9 |
    \barNumberCheck # 167
    \temporary \override MultiMeasureRest.staff-position = #4
    <>-\offset X-offset #-1.5 ^\markup{Baßtuba}
    \cueDuring mvtItuba #DOWN { \ottava #-1 s2.*2 | s2 \ottava #0 s4 | }
    \barNumberCheck # 170
    \revert MultiMeasureRest.staff-position
    s2.*6 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*10 |
    \barNumberCheck # 186
    \temporary \override MultiMeasureRest.staff-position = #-8
    \at 8. -\offset X-offset #-1.5 ^\markup{I.Violine}
    \cueDuring mvtIvlnI #UP { s4.*2 | }
    \barNumberCheck # 188
    \revert MultiMeasureRest.staff-position
    s4.*12 |
    \barNumberCheck # 200
    % \temporary \override MultiMeasureRest.staff-position = #-8
    <>-\offset X-offset #-1.5 ^\markup{Kontrabaß}
    \cueDuring mvtIcb #DOWN { <>^\PZ \ottava #-1 s4.*8 | \ottava #0 }
    \barNumberCheck # 208
    % \revert MultiMeasureRest.staff-position
    s4.*10 |
    \barNumberCheck # 218
    <>-\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIhrnI #DOWN { s4.*6 | }
    \barNumberCheck # 224
    s4.*4 |
    \barNumberCheck # 228
    % \temporary \override MultiMeasureRest.staff-position = #-8
    \at 16 -\offset X-offset #-1.5 ^\markup{I.Violine}
    \cueDuring mvtIvlnI #DOWN { s4.*2 | }
    \barNumberCheck # 230
    % \revert MultiMeasureRest.staff-position
    s4.*22 |
    \barNumberCheck # 252
    % \temporary \override MultiMeasureRest.staff-position = #4
    <>-\offset X-offset #-1.5 ^\markup{Violoncello}
    \cueDuring mvtIvc #DOWN { <>-\tweak font-size #-2 _\markup\halign #1.3 \PZ \ottava #-1 s4. | s8 s4 | }
    s4.*2 |
    \cueDuring mvtIvc #DOWN { s4. | \ottava #0 }
    \barNumberCheck # 257
    % \revert MultiMeasureRest.staff-position
    s4.*1 |
    \barNumberCheck # 258
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIvlnII ) <<
        \new Dynamics \breaksI

        \new MarkLine \mvtItempi

        \new GrandStaff <<
            \new Staff = mvtIvlnII \with {
            } \context Bottom <<
                \mvtIvlnII
                \cuesI
            >>
            \new Staff = mvtIvlnIIhII \with {
                \RemoveAllEmptyStaves
            } <<
                \mvtIvlnIIhII
            >>
        >>

        \new Dynamics = mvtIfootnotes \mvtIfootnotes
    >>

    \header {
        piece = \mvtIpiece
    }
}


breaksII = <<
\mvtIItimeline
{
    \barNumberCheck # 1
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 14
    \break
    s2.*23 |
    \barNumberCheck # 37
    % \pageTurn
    s2.*4 |
    \barNumberCheck # 41
    \noBreak
    s2.*2 |
    \barNumberCheck # 43
    \repeat unfold 2 { \noBreak s2. | }
    \barNumberCheck # 45
    s2.*18 |
    \barNumberCheck # 63
    % \time 4/4
    s1*15 |
    \barNumberCheck # 78
    % \time 3/4
    s2.*18 |
    \barNumberCheck # 96
    s2.*23 |
    \barNumberCheck # 119
    \pageTurn
    s2.*4 |
    \barNumberCheck # 123
    % \break
    s2.*11 |
    \barNumberCheck # 134
    % \pageTurn
    s2.*2 |
    \barNumberCheck # 136
    % \time 4/4
    s1*14 |
    \barNumberCheck # 150
    \noBreak
    s1*8 |
    \barNumberCheck # 158
    s1*40 |
    \barNumberCheck # 198
    % % \pageTurn
    s1*2 |
    \barNumberCheck # 200
    \pageTurn
    s1*1 |
    \barNumberCheck # 201
    % \time 3/4
    \repeat unfold 2 { \noBreak s2. | }
    s2.*6 |
    \barNumberCheck # 209
    \noBreak
    s2.*5 |
    \barNumberCheck # 214
    % \time 4/4
    s1*5 |
    \barNumberCheck # 219
    \break
    s1*12 |
    \barNumberCheck # 231
}
>>


cuesII = <<
\mvtIItimeline
\relative c' {
    \transposition c
    \barNumberCheck # 1
    % \time 3/4
    \temporary \override MultiMeasureRest.staff-position = #4
    \at 8 -\offset X-offset #-6.0 _\markup\column{"Kbß." "Vlc."}
    \cueDuring mvtIIvc #DOWN { s8 \ottava #-1 s4 } \ottava #0 s4. |
    \barNumberCheck # 2
    \revert MultiMeasureRest.staff-position
    s2.*4 |
    \barNumberCheck # 6
    s2.*6 |
    \barNumberCheck # 12
    <>-\offset X-offset #-1.5 ^\markup{Violoncelli}
    \cueDuring mvtIIvc #DOWN { \ottava #-1 s2.*2 | \ottava #0 }
    \barNumberCheck # 14
    s2.*9 |
    \barNumberCheck # 23
    <>-\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIIhrnI #DOWN { s2.*4 | }
    \barNumberCheck # 27
    s2.*13 |
    \barNumberCheck # 40
    \temporary \override MultiMeasureRest.staff-position = #-12
    <>-\offset X-offset #-1.5 ^\markup{Solo-Violine}
    \cueDuring mvtIIvlnSolo #UP { s2.*2 | s4 } s2 |
    \barNumberCheck # 43
    \revert MultiMeasureRest.staff-position
    s2.*2 |
    \barNumberCheck # 45
    s2.*8 |
    \barNumberCheck # 53
    \at 8 -\offset X-offset #-1.5 ^\markup{Violoncelli}
    \cueDuring mvtIIvc #DOWN { s8 <>^\PZ \ottava #-1 s8 s2 | s8 \ottava #0 } s s2 |
    \barNumberCheck # 55
    s2.*8 |
    \barNumberCheck # 63
    % \time 4/4
    s1 |
    \barNumberCheck # 64
    \temporary \override MultiMeasureRest.staff-position = #4
    \at 4.. -\offset X-offset #-1.5 ^\markup\line{Violoncello (get.)}
    \cueDuring mvtIIvc #DOWN { s4.. \ottava -1 s8. s4. | s1 | s4. \ottava 0 } s8 s2 |
    \barNumberCheck # 67
    \revert MultiMeasureRest.staff-position
    s1*6 |
    \barNumberCheck # 73
    \at 16 -\offset X-offset #-1.5 ^\markup{Bratsche}
    \cueDuring mvtIIvla #DOWN { s16 \ottava #-1 s2... | s1*4 | \ottava #0 }
    \barNumberCheck # 78
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 91
    % \time 3/4
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIIclrI #UP { s2.*5 | }
    \barNumberCheck # 96
    \at 8 -\offset X-offset #-1.5 ^\markup\line{1.2.Fagott,Bklr.}
    \cueDuring mvtIIfgI #DOWN { s8 \ottava #-1 s4. \ottava #0 s4 | }
    \barNumberCheck # 97
    s2.*7 |
    \barNumberCheck # 104
    s2.*15 |
    \barNumberCheck # 119
    \at 8. -\offset X-offset #-1.5 ^\markup{Sax.}
    \cueDuring mvtIIasax #DOWN { s2.*2 | }
    \barNumberCheck # 121
    s2.*3 |
    \barNumberCheck # 124
    s2.*6 |
    \barNumberCheck # 130
    s2.*4 |
    \barNumberCheck # 134
    #(ly:expect-warning "unterminated slur")
    r2 <>-\offset X-offset #-1.5 ^\markup{Bratsche}
        \cueDuring mvtIIvla #DOWN { \ottava #-1 s4 | s2. | s1*4 | \ottava #0 }
    \barNumberCheck # 140
    s1*13 |
    \barNumberCheck # 153
    \at 2. -\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIIclrI #UP { s1*5 | }
    \barNumberCheck # 158
    s1*17 |
    \barNumberCheck # 175
    \at 8 -\offset X-offset #-1.0 ^\markup\right-align\line{I.Violine (get.)}
    \cueDuring mvtIIvlnI #UP { s1 | }
    \cueDuring mvtIIvlnUnisono #UP { s1*2 | }
    \cueDuring mvtIIvlnUnisono #DOWN { s1 | }
    #(ly:expect-warning "unterminated slur")
    \cueDuring mvtIIvlnUnisono #UP { s1 | }
    \barNumberCheck # 180
    s1*20 |
    \barNumberCheck # 200
    \temporary \override MultiMeasureRest.staff-position = #-10
    \at 1 \revert MultiMeasureRest.staff-position
    \at 4 -\offset X-offset #-1.5 ^\markup{Baßklarinette}
    \cueDuring mvtIIbclr #UP {
        s1 |
        \barNumberCheck # 201
        % \time 3/4
        s2. |
    }
    \cueDuring mvtIIbclr #DOWN {
        s2.*2 |
    }
    \barNumberCheck # 204
    s2.*4 |
    \barNumberCheck # 208
    \noBreak
    s2.*6 |
    \barNumberCheck # 214
    % \time 4/4
    s1*17 |
    \barNumberCheck # 231
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIIvlnII ) <<
        \new Dynamics \breaksII

        \new MarkLine \mvtIItempi

        \new GrandStaff <<
            \new Staff = mvtIIvlnII \with {
            } \context Bottom <<
                \mvtIIvlnII
                \cuesII
            >>
            \new Staff = mvtIIvlnIIhII \with {
                \RemoveAllEmptyStaves
            } <<
                \mvtIIvlnIIhII
            >>
        >>

        \new Dynamics = mvtIIfootnotes \mvtIIfootnotes
    >>

    \header {
        piece = \mvtIIpiece
        breakbefore = ##t
    }
}
