\version "2.21.0"

\include "include-once.ily"
\includeOnce "berg-conc-vln-1.ily"
\includeOnce "berg-conc-vln-2.ily"

% \includeOnce "berg-conc-vln-title.ily"
\includeOnce "berg-conc-vln-paged-title.ily"

transpInstr = \transpAsax     % default set to c in -common.ily


\header {
    instrument = \markup\center-column{"Alt-saxophon in Es" "(auch 3. Klarinette in B)"}
}

\paper {
    page-count = #9    % finalize
    ragged-last-bottom = ##f
}



breaksI = <<
\mvtItimeline
{
    % \time 4/4
    s1*10 |
    \barNumberCheck # 11
    % \time 2/4
    s2*51 |
    \barNumberCheck # 62
    % \pageBreak
    s2*40 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*57 |
    \barNumberCheck # 161
    \pageTurn
    s2.*15 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*1 |
    \barNumberCheck # 177
    \noBreak
    s4.*81 |
    \barNumberCheck # 258
}
>>


cuesI = <<
\mvtItimeline
\relative c'' {
    \transposition \transpInstr
    % \time 4/4
    \temporary \override MultiMeasureRest.staff-position = #9
    <>-\offset X-offset #-1.5 ^\markup{Harfe, Klar.}
    \cueDuring mvtIhpQ #DOWN { \ottava 0 s1 | }
    #(ly:expect-warning "unterminated tie")
    <>-\offset X-offset #-1.5 ^\markup{Solo-Vln.}
    \cueDuring mvtIvlnSolo #DOWN { s1 <>) | }
    #(ly:expect-warning "already have slur")
    <>-\offset X-offset #-1.5 ^\markup{Harfe, Klar.}
    \cueDuring mvtIhpQ #DOWN { s1 | \ottava 0 }
    \barNumberCheck # 4
    \revert MultiMeasureRest.staff-position
    s1*7 |
    \barNumberCheck # 11
    % \time 2/4
    s2*9 |
    \barNumberCheck # 20
    <>-\offset X-offset #-1.5 ^\markup{Baßklarinette}
    \cueDuring mvtIbclr #DOWN { s2 | }
    \barNumberCheck # 21
    s2*20 |
    \barNumberCheck # 41
    #(ly:expect-warning "omitting tuplet bracket with neither left nor right bound")
    \at 8*2/3 -\offset X-offset #-1.5 ^\markup{1.Oboe}
    \cueDuring mvtIobI #UP { s2*5 | }
    \barNumberCheck # 46
    s2*11 |
    \barNumberCheck # 57
    \at 8*2/3 -\offset X-offset #-1.5 ^\markup{1.Trompete}
    \cueDuring mvtItrpI #UP { \tuplet 3/2 { s8 \ottava 0 s4 } s4 | s2 | s8 \ottava 0 } s4. |
    \barNumberCheck # 60
    s2*24 |
    \barNumberCheck # 84
    % \temporary \override MultiMeasureRest.staff-position = #4
    % \at 2*2 \revert MultiMeasureRest.staff-position
    % \at 4 -\offset X-offset #-1.5 ^\markup{Baßklarinette}
    \at 8 -\offset X-offset #-1.5 ^\markup{1.Flöte}
    \cueDuring mvtIflI #UP { s8 \ottava 1 s4. | s2*7 | \ottava 0 }
    \barNumberCheck # 92
    s2*10 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #UP { s2. | }
    \cueDuring mvtIclrI #DOWN { s2. | }
    \barNumberCheck # 106
    s2.*16 |
    \barNumberCheck # 122
    #(ly:expect-warning "unterminated slur")
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #UP { s2.*4 | }
    \barNumberCheck # 126
    s2.*11 |
    \barNumberCheck # 137
    #(ly:expect-warning "cannot end slur")
    <>-\offset X-offset #-1.5 ^\markup\normalsize{1.2.Fagott}
    <<
        \new Voice { \voiceTwo \teeny \quoteDuring mvtIfgII { \ottava #-1 s2.*3 | s4. \ottava #0 } }
        \new Voice { \voiceOne \teeny \quoteDuring mvtIfgI { s2.*2 | } }
        {
            \temporary \override MultiMeasureRest.staff-position = #7
            \voiceOne s2.*4 |
            \revert MultiMeasureRest.staff-position
            \oneVoice
        }
    >>
    \barNumberCheck # 141
    s2.*14 |
    \barNumberCheck # 155
    <>-\offset X-offset #-1.5 ^\markup\line{1.Flöte}
    \cueDuring mvtIflI #UP { \ottava 1 s2.*6 | \ottava 0 }
    \barNumberCheck # 161
    s2.*15 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*24 |
    \barNumberCheck # 200
    <>-\offset X-offset #-1.5 ^\markup{1.Posaune}
    \cueDuring mvtItromI #UP { s4.*6 | }
    \barNumberCheck # 206
    s4.*34 |
    \barNumberCheck # 240
    \at 4.*3 \temporary \override MultiMeasureRest.staff-position = #-10
    \at 16 -\offset X-offset #-1.5 ^\markup\line{1.3.Horn}
    \cueDuring mvtIhrnI #UP { s4.*5 | }
    \barNumberCheck # 245
    \revert MultiMeasureRest.staff-position
    s4.*5 |
    \barNumberCheck # 250
    #(ly:expect-warning "unterminated slur")
    #(ly:expect-warning "unterminated tie")
    <>-\offset X-offset #-1.5 ^\markup\line{1.3.Horn}
    \cueDuring mvtIhrnI #UP { s4.*4 | }
    \barNumberCheck # 254
    s4.*4 |
    \barNumberCheck # 258
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIasax ) <<
        \new Dynamics \breaksI

        \new MarkLine \mvtItempi

        \new Staff = mvtIasax \with {
        } \context Bottom <<
            \transpose \transpInstr c \mvtIasax
            \cuesI
        >>

        \new Dynamics = mvtIfootnotes \mvtIfootnotes
    >>

    \header {
        piece = \mvtIpiece
    }
}


breaksII = <<
\mvtIItimeline
{
    \barNumberCheck # 1
    % \time 3/4
    s2.*38 |
    \barNumberCheck # 39
    \pageTurn
    s2.*6 |
    \barNumberCheck # 45
    \noBreak
    s2.*18 |
    \barNumberCheck # 63
    % \time 4/4
    s1*15 |
    \barNumberCheck # 78
    % \time 3/4
    s2.*18 |
    \barNumberCheck # 96
    s2.*40 |
    \barNumberCheck # 136
    % \time 4/4
    \pageTurn
    s1*22 |
    \barNumberCheck # 158
    s1*43 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 214
    % \time 4/4
    s1*17 |
    \barNumberCheck # 231
}
>>


cuesII = <<
\mvtIItimeline
\relative c' {
    \transposition \transpInstr
    \barNumberCheck # 1
    % \time 3/4
    \at 8 _\markup\halign #1.4 \column{"Bklr., Fg.," "Tuba, Vc."}
    \cueDuring mvtIIvc #DOWN { s4. }
        <>^\markup\halign #1.3 \line{1.Ob.}
        \cueDuring mvtIIobI #UP { s8 }
        <>^\markup\halign #1.3 \line{1.Fl.}
        \cueDuring mvtIIflI #UP { s4 } |
    \barNumberCheck # 2
    s2.*5 |
    \barNumberCheck # 7
    \at 8 -\offset X-offset #-1.5 ^\markup{1.2.Fagott}
    \cueDuring mvtIIfgI #DOWN { s8 \ottava -1 s s2 | s2.*2 | \ottava 0 }
    \barNumberCheck # 10
    s2.*3 |
    \barNumberCheck # 13
    \at 8 -\offset X-offset #-1.5 ^\markup{1.3.Horn}
    \cueDuring mvtIIhrnI #UP { s2. | }
    \barNumberCheck # 14
    s2.*9 |
    \barNumberCheck # 23
    \at 8 -\offset X-offset #-1.5 ^\markup{Kontrafagott}
    \cueDuring mvtIIcfg #DOWN { s2.*2 | }
    \barNumberCheck # 25
    s2.*19 |
    \barNumberCheck # 44
    #(ly:expect-warning "unterminated slur")
    #(ly:expect-warning "unterminated tie")
    <>-\offset X-offset #-1.5 ^\markup{1.Flöte}
    \cueDuring mvtIIflI #UP { \ottava 1 s2.*8 | \ottava 0 }
    \barNumberCheck # 52
    s2.*11 |
    \barNumberCheck # 63
    % \time 4/4
    s1 |
    \barNumberCheck # 64
    \temporary \override MultiMeasureRest.staff-position = #4
    \at 4.. -\offset X-offset #-1.5 ^\markup\line{Violoncello (get.)}
    \cueDuring mvtIIvc #DOWN { s4.. \ottava -1 s8. s4. | s1 | s4. \ottava 0 } s8 s2 |
    \barNumberCheck # 67
    \revert MultiMeasureRest.staff-position
    s1*6 |
    \barNumberCheck # 73
    % \temporary \override MultiMeasureRest.staff-position = #4
    \at 16 -\offset X-offset #-1.5 ^\markup\line{Bratsche}
    \cueDuring mvtIIvla #DOWN { s1*5 | }
    \barNumberCheck # 78
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 91
    <>-\offset X-offset #-1.5 ^\markup\line{1.Klarinette}
    \cueDuring mvtIIclrI #UP { s2.*5 | }
    \barNumberCheck # 96
    \at 8 ^\markup\halign #0.8 {1.Horn}
    \cueDuring mvtIIhrnI #DOWN { s8 \ottava 0 s4 s4. | s2.*2 | s4 \ottava 0 } s2 |
    \barNumberCheck # 100
    s2.*31 |
    \barNumberCheck # 131
    \transposition \transpClrB
    s2.*5 |
    \barNumberCheck # 136
    % \time 4/4
    #(ly:expect-warning "cannot end slur")
    \at 8 -\offset X-offset #-1.5 ^\markup{Kontrafagott}
    \at 2.. ^\markup\halign #-1.0 {1.Fagott}
    \cueDuring mvtIIcfg #DOWN { \ottava #-1 s1 | }
    \temporary \override MultiMeasureRest.staff-position = #4
    #(ly:expect-warning "cannot end slur")
    #(ly:expect-warning "unterminated slur")
    \cueDuring mvtIIfgI #DOWN { s1*5 | \ottava #0 }
    \barNumberCheck # 142
    \revert MultiMeasureRest.staff-position
    s1*16 |
    \barNumberCheck # 158
    \transposition \transpInstr
    s1*3 |
    \barNumberCheck # 161
    <>-\offset X-offset #-1.5 ^\markup\line{1.Horn}
    \cueDuring mvtIIhrnI #UP { s1*3 | }
    \barNumberCheck # 164
    s1*37 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*5 |
    \barNumberCheck # 206
    <>^\markup\halign #1.2 \line{1.Klarinette}
    \at 2.*5 \temporary \override MultiMeasureRest.staff-position = #-8
    \cueDuring mvtIIclrI #UP { s2.*6 | }
    \barNumberCheck # 212
    \revert MultiMeasureRest.staff-position
    s2.*2 |
    \barNumberCheck # 214
    % \time 4/4
    s1*11 |
    \barNumberCheck # 225
    #(ly:expect-warning "unterminated slur")
    \at 2 -\offset X-offset #-1.5 ^\markup\line{1.3.Horn}
    \cueDuring mvtIIhrnI #DOWN { s1*4 | s4 } s2. |
    \barNumberCheck # 230
    s1*1 |
    \barNumberCheck # 231
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIIasax ) <<
        \new Dynamics \breaksII

        \new MarkLine \mvtIItempi

        \new Staff = mvtIIasax \with {
        } \context Bottom <<
            { \transpose \transpInstr c \mvtIIasax }
            { \transpose \transpClrB c \mvtIIclrIII }
            \cuesII
        >>

        \new Dynamics = mvtIIfootnotes \mvtIIfootnotes
    >>

    \header {
        piece = \mvtIIpiece
        % breakbefore = ##t
    }
}
