\version "2.21.0"

\include "include-once.ily"
\includeOnce "common-defs.ily"
\includeOnce "berg-conc-vln-hauptstimme.ily"
\includeOnce "berg-conc-vln-title.ily"

\paper {
    bookTitleMarkup = \markup{
        \abs-fontsize #(* 10.0 global-font-factor)
        \column{
            \fill-line {

                \column {
                    \general-align #Y #UP {
                        \override #'(line-width . (* 15 global-font-factor))
                        \combine \null \vspace #(* 8.0 global-font-factor)
                        \line {
                            \abs-fontsize #(* 30 global-font-factor) \fromproperty #'header:composer
                        }
                        \combine \null \vspace #(* 8.0 global-font-factor)
                        \line {
                            \abs-fontsize #(* 38 global-font-factor) \bold \fromproperty #'header:brokenTitle
                        }
                        \combine \null \vspace #(* 2.0 global-font-factor)
                        \line {
                            \abs-fontsize #(* 19 global-font-factor) \fromproperty #'header:subtitle
                        }
                        \combine \null \vspace #(* 10.0 global-font-factor)
                        \line {
                            \abs-fontsize #(* 15 global-font-factor) \fromproperty #'header:subsubtitle
                        }
                        \combine \null \vspace #(* 5.0 global-font-factor)
                    }
                }

                \hspace #(* 0.1 global-font-factor)

                \column {
                    \general-align #Y #UP {
                        \combine \null \vspace #(* 2.0 global-font-factor)
                        \epsfile-mm #Y #(* 220 global-font-factor) #"portrait_20090909_1942915187-cropped.eps"
                    }
                }
            }

            \combine \null \vspace #(* 4.0 global-font-factor)
            \fill-line {
                \abs-fontsize #(* 25 global-font-factor) \fromproperty #'header:instrument
            }
            \combine \null \vspace #(* 2.0 global-font-factor)
        }
    }

    oddFooterMarkup = \markup {
        \column {
            \mm-feed #(* 4 global-font-factor)
            \on-the-fly #(on-page 2) \hauptStimmeExplain
            \fill-line {
                \on-the-fly #last-page \fromproperty #'header:copyright
            }
            \mm-feed #(* 2 global-font-factor)
            \fill-line {
                \abs-fontsize #(* 10 global-font-factor) \on-the-fly #last-page \fromproperty #'header:tagline
            }
        }
    }
}

\pageBreak


