\version "2.21.0"

% transposeOttavino = c''

\include "include-once.ily"
\includeOnce "berg-conc-vln-1.ily"
\includeOnce "berg-conc-vln-2.ily"

% \includeOnce "berg-conc-vln-title.ily"
\includeOnce "berg-conc-vln-paged-title.ily"


\header {
    instrument = "1. und 2. Trompete in C"
}

\paper {
    indent = 3
    short-indent = 3
    page-count = #11   % finalize
    % ragged-last-bottom = ##f
}


breaksI = <<
\mvtItimeline
{
    % \time 4/4
    s1*10 |
    \barNumberCheck # 11
    % \time 2/4
    s2*33 |
    \barNumberCheck # 44
    \break
    s2*4 |
    \barNumberCheck # 48
    % \break
    s2*23 |
    \barNumberCheck # 71
    \noBreak
    s2*31 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*33 |
    \barNumberCheck # 137
    \pageTurn
    s2.*39 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*37 |
    \barNumberCheck # 213
    \pageTurn
    s4.*45 |
    \barNumberCheck # 258
}
>>


cuesI = <<
\mvtItimeline
\relative c'' {
    \transposition \transpInstr
    % \time 4/4
    <>-\offset X-offset #-1.5 ^\markup{Harfe, Klar.}
    \cueDuring mvtIhpQ #UP { \ottava -1 s1 | }
    #(ly:expect-warning "unterminated tie")
    <>-\offset X-offset #-1.5 ^\markup{Solo-Vln.}
    \cueDuring mvtIvlnSolo #UP { s1 <>) | }
    #(ly:expect-warning "already have slur")
    <>-\offset X-offset #-1.5 ^\markup{Harfe, Klar.}
    \cueDuring mvtIhpQ #UP { s1 | \ottava 0 }
    \barNumberCheck # 4
    \revert MultiMeasureRest.staff-position
    s1*7 |
    \barNumberCheck # 11
    % \time 2/4
    s2*4 |
    \barNumberCheck # 15
    <>-\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIhrnI #DOWN { s2*3 | s4. } s8 |
    \barNumberCheck # 19
    s2*28 |
    \barNumberCheck # 47
    \at 8 -\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIhrnI #DOWN { s2*7 | }
    \barNumberCheck # 54
    s2*9 |
    \barNumberCheck # 63
    \at 8 -\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIhrnI #DOWN { s2*7 | s4 } s |
    \barNumberCheck # 71
    s2*31 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #DOWN { s2.*2 | }
    \barNumberCheck # 106
    s2.*16 |
    \barNumberCheck # 122
    \temporary \override MultiMeasureRest.staff-position = #4
    #(ly:expect-warning "unterminated slur")
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #DOWN { s2.*4 | }
    \barNumberCheck # 126
    \revert MultiMeasureRest.staff-position
    s2.*11 |
    \barNumberCheck # 137
    #(ly:expect-warning "cannot end slur")
    <>-\offset X-offset #-1.5 ^\markup\normalsize{1.2.Fagott}
    <<
        \new Voice { \voiceTwo \teeny \quoteDuring mvtIfgII { \ottava #-1 s2.*3 | s4. \ottava #0 } }
        \new Voice { \voiceOne \teeny \quoteDuring mvtIfgI { s2.*2 | } }
        { \voiceOne s2.*4 | \oneVoice }
    >>
    \barNumberCheck # 141
    s2.*26 |
    \barNumberCheck # 167
    <>-\offset X-offset #-1.5 ^\markup\line{Tuba}
    \cueDuring mvtItuba #UP { \ottava -1 s2.*2 | \ottava 0 }
    \barNumberCheck # 169
    \revert MultiMeasureRest.staff-position
    s2.*7 |
    \barNumberCheck # 176
    % \bar "||"
    % \time 3/8
    s4.*20 |
    \barNumberCheck # 196
    #(ly:expect-warning "cannot end slur")
    #(ly:expect-warning "unterminated slur")
    \temporary \override MultiMeasureRest.staff-position = #4
    <>-\offset X-offset #-1.5 ^\markup{Baßklarinette}
    \at 2*2 \revert MultiMeasureRest.staff-position
    \cueDuring mvtIbclr #DOWN { s4.*4 | }
    \barNumberCheck # 200
    s4.*13 |
    \barNumberCheck # 213
    <>-\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIhrnI #DOWN { s4.*8 | s4 } s8 |
    \barNumberCheck # 222
    s4.*13 |
    \barNumberCheck # 235
    \at 16 -\offset X-offset #-1.5 ^\markup\line{1.Oboe}
    \cueDuring mvtIobI #DOWN { s4.*6 | }
    \barNumberCheck # 241
    s4.*17 |
    \barNumberCheck # 258
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtItrpI mvtItrpII ) <<
        \new Dynamics \breaksI

        \new MarkLine \mvtItempi

        \new GrandStaff = mvtItrp \with {
        } <<
            \new Staff = mvtItrpI \with {
                instrumentName = "1."
                shortInstrumentName = "1."
            } \context Bottom <<
                \mvtItrpI
                \cuesI
            >>
            \new Staff = mvtItrpII \with {
                instrumentName = "2."
                shortInstrumentName = "2."
                \RemoveEmptyStaves
            } <<
                \mvtItrpII
            >>
        >>

        \new Dynamics = mvtIfootnotes \mvtIfootnotes
    >>

    \header {
        piece = \mvtIpiece
    }
}


breaksII = <<
\mvtIItimeline
{
    \barNumberCheck # 1
    % \time 3/4
    % \autoPageBreaksOff
    s2.*22 |
    \barNumberCheck # 23
    \break
    \grace s16 s2.*16 |
    \barNumberCheck # 39
    \pageTurn
    s2.*5 |
    \barNumberCheck # 44
    \noBreak
    s2.*5 |
    \barNumberCheck # 49
    % % \pageBreak
    s2.*14 |
    \barNumberCheck # 63
    % \time 4/4
    s1*15 |
    \barNumberCheck # 78
    % \time 3/4
    s2.*18 |
    \barNumberCheck # 96
    \break
    s2.*13 |
    \barNumberCheck # 109
    #(ly:expect-warning-times 2 "No spanner to end!!")
    \repeat unfold 2 { \noBreak s2. | }
    \break
    s2.*7 |
    \barNumberCheck # 118
    % \break
    % \pageTurn
    \newSpacingSection
    \stretchHorizontalSpacing #0.25
    s2.*18 |
    \barNumberCheck # 136
    % \time 4/4
    \pageTurn
    \newSpacingSection
    s1*22 |
    \barNumberCheck # 158
    % \pageBreak
    s1*32 |
    \barNumberCheck # 190
    \break
    s1*11 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 214
    % \time 4/4
    s1*10 |
    \barNumberCheck # 224
    \noBreak
    s1*7 |
    \barNumberCheck # 231
}
>>


cuesII = <<
\mvtIItimeline
\relative c' {
    \transposition \transpInstr
    \barNumberCheck # 1
    % \time 3/4
    \at 8 _\markup\halign #1.4 \column{"Bklr., Fg.," "Tuba, Vc."}
    \cueDuring mvtIIvc #DOWN { s4. }
    <>^\markup\halign #1.3 \line{1.Ob.}
    \cueDuring mvtIIobI #DOWN { s8 } s4 |
    \barNumberCheck # 2
    s2.*13 |
    \barNumberCheck # 15
    \at 16 -\offset X-offset #-1.5 ^\markup\line{1.2.Klarinette, Sax.}
    \cueDuring mvtIIclrI #DOWN { s2.*3 | }
    \barNumberCheck # 18
    s2.*21 |
    \barNumberCheck # 39
    #(ly:expect-warning "unterminated slur")
    \at 16 -\offset X-offset #-1.5 ^\markup\column{"Bklr.,Fag." "(Sax.,Klar.)"}
    \cueDuring mvtIIfgI #UP { s16 \ottava -1 s8. s2 | s2.*2 | \ottava 0 }
    \barNumberCheck # 42
    s2.*21 |
    \barNumberCheck # 63
    % \time 4/4
    s1 |
    \barNumberCheck # 64
    \temporary \override MultiMeasureRest.staff-position = #4
    \at 4.. -\offset X-offset #-1.5 ^\markup\line{Violoncello (get.)}
    \cueDuring mvtIIvc #DOWN { s4.. \ottava -2 s8. s4. | s1 | s4. \ottava 0 } s8 s2 |
    \barNumberCheck # 67
    \revert MultiMeasureRest.staff-position
    s1*6 |
    \barNumberCheck # 73
    \temporary \override MultiMeasureRest.staff-position = #4
    #(ly:expect-warning "unterminated tie")
    \at 16 -\offset X-offset #-1.5 ^\markup\line{Bratsche}
    \cueDuring mvtIIvla #DOWN { s16 \ottava -1 s2... | s1*4 | \ottava 0 }
    \barNumberCheck # 78
    \revert MultiMeasureRest.staff-position
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 91
    <>-\offset X-offset #-1.5 ^\markup\line{1.Klarinette}
    \cueDuring mvtIIclrI #UP { s2.*5 | }
    \barNumberCheck # 96
    \at 8 _\markup\halign #1.3 \line{1.Horn}
    \cueDuring mvtIIhrnI #DOWN { s4. } s4. |
    s2.*12 |
    \barNumberCheck # 109
    <>-\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIIhrnI #DOWN { s2.*3 | }
    \barNumberCheck # 112
    s2.*24 |
    \barNumberCheck # 136
    % \time 4/4
    s1*6 |
    \barNumberCheck # 142
    <>-\offset X-offset #-1.5 ^\markup\line{1.Klarinette}
    \cueDuring mvtIIclrI #UP { s1*6 | }
    \barNumberCheck # 148
    s1*10 |
    \barNumberCheck # 158
    s1*18 |
    \barNumberCheck # 176
    #(ly:expect-warning "unterminated tie")
    <>^\markup\halign #1.2 \line{1.Violine}
    \cueDuring mvtIIvlnUnisono #UP { s1*2 | }
    \cueDuring mvtIIvlnUnisono #DOWN { s1 | }
    \cueDuring mvtIIvlnUnisono #UP { s1*3 | }
    \barNumberCheck # 182
    s1*2 |
    \barNumberCheck # 184
    \break
    s1*17 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*5 |
    \barNumberCheck # 206
    <>-\offset X-offset #-1.5 ^\markup\line{1.Klarinette}
    \cueDuring mvtIIclrI #UP { s2.*2 | }
    \cueDuring mvtIIclrI #DOWN { s2.*4 | }
    \barNumberCheck # 212
    s2.*2 |
    \barNumberCheck # 214
    % \time 4/4
    s1*5 |
    \barNumberCheck # 219
    \voiceTwo s2. <>-\offset X-offset #-1.5 ^\markup\line{1.Fl.(1.Ob.)}
        \oneVoice \cueDuring mvtIIflI #UP { s4 | s1*3 | }
    \barNumberCheck # 223
    s1*8 |
    \barNumberCheck # 231
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIItrpI mvtIItrpII ) <<
        \new Dynamics \breaksII

        \new MarkLine \mvtIItempi

        \new GrandStaff = mvtIItrp \with {
        } <<
            \new Staff = mvtIItrpI \with {
                instrumentName = "1."
                shortInstrumentName = "1."
            } \context Bottom <<
                \mvtIItrpI
                \cuesII
            >>
            \new Staff = mvtIItrpII \with {
                instrumentName = "2."
                shortInstrumentName = "2."
                \RemoveEmptyStaves
            } <<
                \mvtIItrpII
            >>
        >>

        \new Dynamics = mvtIIfootnotes \mvtIIfootnotes
    >>

    \header {
        piece = \mvtIIpiece
        breakbefore = ##t
    }
}
