\version "2.21.0"

% transposeOttavino = c''

\include "include-once.ily"
\includeOnce "berg-conc-vln-1.ily"
\includeOnce "berg-conc-vln-2.ily"

% \includeOnce "berg-conc-vln-title.ily"
\includeOnce "berg-conc-vln-paged-title.ily"


\header {
    instrument = "Bratsche"
}

\paper {
    indent = 10
    short-indent = 10
    page-count = # 13   % finalize
    % ragged-last-bottom = ##f
}


% transpInstr = ...     % default set to c in -common.ily


breaksI = <<
\mvtItimeline
{
    % \time 4/4
    \autoPageBreaksOff          % Yuck
    s1*10 |
    \barNumberCheck # 11
    % \time 2/4
    s2*5 |
    \barNumberCheck # 16
    \break
    s2*51 |
    \barNumberCheck # 67
    \pageBreak
    s2*35 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*18 |
    \barNumberCheck # 122
    \pageTurn
    \autoPageBreaksOn
    s2.*54 |
    \barNumberCheck # 176
    % \time 3/8
    s4.*27 |
    \barNumberCheck # 203
    \pageTurn
    s4.*19 |
    \barNumberCheck # 222
    \noBreak
    s4.*9 |
    \barNumberCheck # 231
    \break
    s4.*9 |
    \barNumberCheck # 240
    \break
    s4.*18 |
    \barNumberCheck # 258
}
>>


cuesI = <<
\mvtItimeline
\relative c'' {
    \transposition c
    % \time 4/4
    \showMMRs
    \temporary \override MultiMeasureRest.staff-position = #10
    <>^\markup\halign #-0.0 \line{Harfe, Klar.}
    \cueDuring mvtIhpQ #DOWN { s1 | }
    #(ly:expect-warning "unterminated tie")
    <>-\offset X-offset #-1.5 ^\markup{Solo-Vln.}
    \cueDuring mvtIvlnSolo #DOWN { s1 <>) | }
    #(ly:expect-warning "already have slur")
    <>-\offset X-offset #-1.5 ^\markup{Harfe, Klar.}
    \cueDuring mvtIhpQ #DOWN { s1 | }
    \barNumberCheck # 4
    \revert MultiMeasureRest.staff-position
    s1*5 |
    #(ly:expect-warning "cannot end slur")
    <>-\offset X-offset #-1.5 ^\markup{1.Klarinette}
    \cueDuring mvtIclrI #UP { s1*2 | }
    \barNumberCheck # 11
    % \time 2/4
    s2*13 |
    \barNumberCheck # 24
    \at 8 -\offset X-offset #-1.5 ^\markup{Sax.}
    \cueDuring mvtIasax #UP { s2*4 | }
    \barNumberCheck # 28
    s2*13 |
    \barNumberCheck # 41
    \at 8*2/3 -\offset X-offset #-1.5 ^\markup{I.Violine}
    \cueDuring mvtIvlnI #UP { <>^\PZ s2*2 | }
    \barNumberCheck # 43
    s2*44 |
    \barNumberCheck # 87
    \at 4. -\offset X-offset #-1.5 ^\markup\line{I.Violine (get.)}
    \cueDuring mvtIvlnI #UP {
        s4. \cueClef treble s8 |
        s2*2 |
        s4
    } s4 \cueClefUnset |
    \barNumberCheck # 91
    s2*11 |
    \barNumberCheck # 102
    % \time 3/8
    s4.*2 |
    \barNumberCheck # 104
    % \time 6/8
    s2.*18 |
    \barNumberCheck # 122
    <>^\markup\halign #1.2 {1.Klarinette}
    \cueDuring mvtIclrI #UP { s2.*4 | }
    \cueDuring mvtIclrI #DOWN { s2. | }
    \barNumberCheck # 127
    s2.*49 |
    \barNumberCheck # 176
    % \time 3/8
    s4.*27 |
    \barNumberCheck # 203
    \at 4.*4 \temporary \override MultiMeasureRest.staff-position = #-12
    \at 4 -\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIhrnI #UP { s4.*6 | }
    \barNumberCheck # 209
    \revert MultiMeasureRest.staff-position
    s4.*13 |
    \barNumberCheck # 222
    \hideMMRs
    s4.*9 |
    \barNumberCheck # 231
    \showMMRs
    s4.*7 |
    \barNumberCheck # 238
    \set Staff.shortInstrumentName = ""
    s4.*20 |
    \barNumberCheck # 258
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIvla ) <<
        \new Dynamics \breaksI

        \new MarkLine \mvtItempi

        \new Staff = mvtIvlaSolo \with {
            instrumentName = "1.Solo"
            shortInstrumentName = "1.Solo"
            \RemoveAllEmptyStaves
        } <<
            \mvtIvlaSolo
        >>
        \new Staff = mvtIvlaSoloII \with {
            instrumentName = "2.Solo"
            shortInstrumentName = "2.Solo"
            \RemoveAllEmptyStaves
        } <<
            \mvtIvlaSoloII
        >>

        \new GrandStaff \with {
        } <<
            \new Staff = mvtIvla \with {
                \RemoveAllEmptyStaves
            } \context Bottom <<
                \mvtIvla
                \cuesI
            >>
            \new Staff = mvtIvlahII \with {
                \RemoveAllEmptyStaves
            } <<
                \mvtIvlahII
            >>
        >>

        \new Dynamics = mvtIfootnotes \mvtIfootnotes
    >>

    \header {
        piece = \mvtIpiece
    }
}


breaksII = <<
\mvtIItimeline
{
    \barNumberCheck # 1
    % \time 3/4
    s2.*48 |
    \barNumberCheck # 49
    \autoPageBreaksOff
    \pageTurn
    s2.*14 |
    \barNumberCheck # 63
    % \time 4/4
    s1*14 |
    \barNumberCheck # 77
    \pageBreak
    \break
    \autoPageBreaksOn
    s1 |
    \barNumberCheck # 78
    % \time 3/4
    s2.*18 |
    \barNumberCheck # 96
    s2.*2 |
    \barNumberCheck # 98
    \break
    s2.*17 |
    \barNumberCheck # 115
    \pageTurn
    s2.*18 |
    \barNumberCheck # 133
    \break
    s2.*3 |
    \barNumberCheck # 136
    % \time 4/4
    s1*22 |
    \barNumberCheck # 158
    s1*15 |
    \barNumberCheck # 173
    \pageTurn
    s1*28 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 214
    % \time 4/4
    s1*9 |
    \barNumberCheck # 223
    \break
    s1*8 |
    \barNumberCheck # 231
}
>>


cuesII = <<
\mvtIItimeline
\relative c' {
    \barNumberCheck # 1
    % \time 3/4
    \showMMRs
    s2.*43 |
    \barNumberCheck # 44
    #(ly:expect-warning "unterminated slur")
    #(ly:expect-warning "unterminated tie")
    <>-\offset X-offset #-1.5 ^\markup{1.Flöte}
    \cueDuringWithClef mvtIIflI #UP "treble" { s2.*8 | }
    \barNumberCheck # 52
    s2.*11 |
    \barNumberCheck # 63
    % \time 4/4
    s1*10 |
    \barNumberCheck # 73
    \set Staff.shortInstrumentName = "Übr."
    s1*5 |
    \barNumberCheck # 78
    % \time 3/4
    \hideMMRs
    s2. |
    \barNumberCheck # 79
    s2.*13 |
    \barNumberCheck # 92
    \set Staff.shortInstrumentName = ""
    s2.*4 |
    \barNumberCheck # 96
    s2.*2 |
    \showMMRs
    s2.*17 |
    \barNumberCheck # 115
    <>-\offset X-offset #-1.5 ^\markup{1.Horn}
    \cueDuring mvtIIhrnI #UP { s2.*4 | }
    \barNumberCheck # 119
    s2.*5 |
    \barNumberCheck # 124
    \set GrandStaff.shortInstrumentName = "Übr."
    s2.*9 |
    \barNumberCheck # 133
    \set GrandStaff.shortInstrumentName = ""
    s2.*3 |
    \barNumberCheck # 136
    % \time 4/4
    s1*22 |
    \barNumberCheck # 158
    s1*6 |
    \barNumberCheck # 164
    <>-\offset X-offset #-1.5 ^\markup{2.Posaune}
    \cueDuring mvtIItromII #DOWN { s1*5 | s4 } s2. |
    \barNumberCheck # 170
    s1*3 |
    \barNumberCheck # 173
    #(ly:expect-warning "unterminated slur")
    #(ly:expect-warning "unterminated tie")
    <>-\offset X-offset #-1.5 ^\markup{Violoncello}
    \cueDuring mvtIIvc #DOWN { s1*4 | }
    \barNumberCheck # 177
    s1*19 |
    \barNumberCheck # 196
    \at 4 -\offset X-offset #-1.5 ^\markup{Violoncello}
    \cueDuring mvtIIvc #DOWN { s1*2 | }
    \cueDuring mvtIIvc #UP {
        s1*3 |
        \barNumberCheck # 201
        % \time 3/4
        s2.*3 |
    }
    \barNumberCheck # 204
    s2.*10 |
    \barNumberCheck # 214
    % \time 4/4
    s1*9 |
    \barNumberCheck # 223
    % \hideMMRs
    \set Staff.shortInstrumentName = "Übr."
    s1*8 |
    \barNumberCheck # 231
}
>>


vlnSoloOssiaII = <<
\mvtIItimeline
\relative c' {
    \transposition c
    \barNumberCheck # 1
    \stopStaff
    % \time 3/4
    s2.*62 |
    \barNumberCheck # 63
    % \time 4/4
    s1*14 |
    \barNumberCheck # 77
    % \time 3/4
    \startStaff \undo \omit Staff.Clef \clef treble
    s1 |
    <>^\markup\normalsize\halign #0.5 \line{Solo-Violine} <<
        {
            \voiceOne
            \quoteDuring mvtIIvlnSoloOssiaVI {
                s2.*11 <>\! |
            }
        }
        \new Voice {
            \voiceTwo
            \quoteDuring mvtIIvlnSoloOssiaVII {
                s2.*11 <>\! |
            }
        }
    >>
    \stopStaff \omit Staff.Clef
    \barNumberCheck # 89
    s2.*7 |
    \barNumberCheck # 96
    s2.*40 |
    \barNumberCheck # 136
    % \time 4/4
    s1*22 |
    \barNumberCheck # 158
    s1*43 |
    \barNumberCheck # 201
    % \time 3/4
    s2.*13 |
    \barNumberCheck # 214
    % \time 4/4
    s1*17 |
    \barNumberCheck # 231
}
>>


\score {
    \keepWithTag #'( PARTS KEEPQUOTED DOUBLE_MARKLINE mvtIIvla ) <<
        \new Dynamics \breaksII

        \new MarkLine \mvtIItempi

        \new Staff = mvtIIvlnSoloOssia \with {
            shortInstrumentName = \markup\center-column{"Solo-Vln." "(Ossia)"}
            \omit Clef
            \omit TimeSignature
            \staffSize #-2
            \RemoveAllEmptyStaves
        } <<
            \vlnSoloOssiaII
        >>

        \new Staff = mvtIIvlaSolo \with {
            instrumentName = "1.Solo"
            shortInstrumentName = "1.Solo"
            \RemoveAllEmptyStaves
        } <<
            \mvtIIvlaSolo
        >>

        \new GrandStaff \with {
        } <<
            \new Staff = mvtIIvla \with {
                \RemoveAllEmptyStaves
            } \context Bottom <<
                \mvtIIvla
                \cuesII
            >>
            \new Staff = mvtIIvlahII \with {
                \RemoveAllEmptyStaves
            } <<
                \mvtIIvlahII
            >>
        >>

        \new Dynamics = mvtIIfootnotes \mvtIIfootnotes
    >>

    \header {
        piece = \mvtIIpiece
        breakbefore = ##t
    }
}

% \includeOnce "last-page-copyright.ily"
% 
% \markup\vspace #22.0
% \hauptStimmeExplain
% \markup\vspace #0.0
